gdata.contentforshopping.client | index /usr/local/google/home/afshar/src/external-gdata-release/google3/src/gdata/contentforshopping/client.py

`Extend the gdata client for the Content API for Shopping.`

Modules

``

atom | gdata | urllib |

Classes

``

gdata.client.GDClient(atom.client.AtomPubClient)
  ContentForShoppingClient

class ContentForShoppingClient(gdata.client.GDClient)
`` | `Client for Content for Shopping API. :param account_id: Merchant account ID. This value will be used by default for all requests, but may be overridden on a request-by-request basis. :param api_version: The version of the API to target. Default value: 'v1'. :param **kwargs: Pass all addtional keywords to the GDClient constructor.`

Method resolution order:
  ContentForShoppingClient
  gdata.client.GDClient
  atom.client.AtomPubClient
  __builtin__.object

Methods defined here:

AddLocalId = add_local_id(self, product, id, country, language, store_code, account_id=None)

Batch = batch(self, feed, account_id=None, auth_token=None, dry_run=False, warnings=False)

DeleteClientAccount = delete_client_account(self, client_account_id, account_id=None, auth_token=None, dry_run=False, warnings=False)

DeleteDatafeed = delete_datafeed(self, feed_id, account_id=None, auth_token=None)

DeleteProduct = delete_product(self, product, account_id=None, auth_token=None, dry_run=False, warnings=False)

DeleteProducts = delete_products(self, products, account_id=None, auth_token=None, dry_run=False, warnings=False)

DeleteUsersEntry = delete_users_entry(self, entry, account_id=None, auth_token=None)

GetClientAccount = get_client_account(self, client_account_id, account_id=None, auth_token=None)

GetClientAccounts = get_client_accounts(self, max_results=None, start_index=None, account_id=None, auth_token=None)

GetDataQualityEntry = get_data_quality_entry(self, secondary_account_id=None, account_id=None, auth_token=None)

GetDataQualityFeed = get_data_quality_feed(self, account_id=None, auth_token=None, max_results=None, start_index=None)

GetDatafeed = get_datafeed(self, feed_id, account_id=None, auth_token=None)

GetDatafeeds = get_datafeeds(self, account_id=None)

GetProduct = get_product(self, id, country, language, account_id=None, auth_token=None)

GetProducts = get_products(self, max_results=None, start_token=None, start_index=None, performance_start=None, performance_end=None, account_id=None, auth_token=None)

GetUsersEntry = get_users_entry(self, user_email, account_id=None, auth_token=None)

GetUsersFeed = get_users_feed(self, account_id=None, auth_token=None)

InsertClientAccount = insert_client_account(self, entry, account_id=None, auth_token=None, dry_run=False, warnings=False)

InsertDatafeed = insert_datafeed(self, entry, account_id=None, auth_token=None, dry_run=False, warnings=False)

InsertProduct = insert_product(self, product, account_id=None, auth_token=None, dry_run=False, warnings=False)

InsertProducts = insert_products(self, products, account_id=None, auth_token=None, dry_run=False, warnings=False)

InsertUsersEntry = insert_users_entry(self, entry, account_id=None, auth_token=None)

UpdateClientAccount = update_client_account(self, entry, client_account_id, account_id=None, auth_token=None, dry_run=False, warnings=False)

UpdateDatafeed = update_datafeed(self, entry, feed_id, account_id=None, auth_token=None, dry_run=False, warnings=False)

UpdateInventoryEntry = update_inventory_entry(self, product, id, country, language, store_code, account_id=None, auth_token=None)

UpdateInventoryFeed = update_inventory_feed(self, products, account_id=None, auth_token=None)

UpdateProduct = update_product(self, product, account_id=None, auth_token=None, dry_run=False, warnings=False)

UpdateProducts = update_products(self, products, account_id=None, auth_token=None, dry_run=False, warnings=False)

UpdateUsersEntry = update_users_entry(self, entry, account_id=None, auth_token=None)

__init__(self, account_id=None, api_version='v1', cfs_uri='https://content.googleapis.com/content', **kwargs)

add_local_id(self, product, id, country, language, store_code, account_id=None)
  `Add an atom id to a local product with a local store specific URI.
  :param product: A :class:`gdata.contentforshopping.data.InventoryEntry`
  with the required product data.
  :param id: The product ID
  :param country: The country (target_country)
  :param language: The language (content_language)
  :param store_code: The code for the store where this local product will
  be updated.
  :param account_id: The Merchant Center Account ID. If ommitted the default
  Account ID will be used for this client`

batch(self, feed, account_id=None, auth_token=None, dry_run=False, warnings=False)
  `Send a batch request.
  :param feed: The feed of batch entries to send.
  :param account_id: The Merchant Center Account ID. If ommitted the default
  Account ID will be used for this client
  :param auth_token: An object which sets the Authorization HTTP header in its
  modify_request method.
  :param dry_run: Flag to run all requests that modify persistent data in
  dry-run mode. False by default.
  :param warnings: Flag to include warnings in response. False by default.`

delete_client_account(self, client_account_id, account_id=None, auth_token=None, dry_run=False, warnings=False)
  `Delete a client account
  :param client_account_id: The client account ID
  :param account_id: The Merchant Center Account ID. If ommitted the default
  Account ID will be used for this client
  :param auth_token: An object which sets the Authorization HTTP header in its
  modify_request method.
  :param dry_run: Flag to run all requests that modify persistent data in
  dry-run mode. False by default.
  :param warnings: Flag to include warnings in response. False by default.`

delete_datafeed(self, feed_id, account_id=None, auth_token=None)
  `Delete a single datafeed.
  :param feed_id: The ID of the desired datafeed.
  :param account_id: The Sub-Account ID. If ommitted the default
  Account ID will be used for this client.
  :param auth_token: An object which sets the Authorization HTTP header in its
  modify_request method.`

delete_product(self, product, account_id=None, auth_token=None, dry_run=False, warnings=False)
  `Delete a product
  :param product: A :class:`gdata.contentforshopping.data.ProductEntry` with
  the required product data.
  :param account_id: The Merchant Center Account ID. If ommitted the default
  Account ID will be used for this client
  :param auth_token: An object which sets the Authorization HTTP header in its
  modify_request method.
  :param dry_run: Flag to run all requests that modify persistent data in
  dry-run mode. False by default.
  :param warnings: Flag to include warnings in response. False by default.`

delete_products(self, products, account_id=None, auth_token=None, dry_run=False, warnings=False)
  `Delete the products using a batch request.
  :param products: A list of product entries
  :param account_id: The Merchant Center Account ID. If ommitted the default
  Account ID will be used for this client
  :param auth_token: An object which sets the Authorization HTTP header in its
  modify_request method.
  :param dry_run: Flag to run all requests that modify persistent data in
  dry-run mode. False by default.
  :param warnings: Flag to include warnings in response. False by default.
  .. note:: Entries must have the atom:id element set.`

delete_users_entry(self, entry, account_id=None, auth_token=None)
  `Delete a users feed entry for an account.
  :param entry: A :class:`gdata.contentforshopping.data.UsersEntry` with
  the required user data.
  :param account_id: The Merchant Center Account ID. If ommitted the default
  Account ID will be used for this client
  :param auth_token: An object which sets the Authorization HTTP header in its
  modify_request method.`

get_client_account(self, client_account_id, account_id=None, auth_token=None)
  `Get a managed account.
  :param client_account_id: The Account ID of the subaccount being retrieved.
  :param account_id: The Merchant Center Account ID. If ommitted the default
  Account ID will be used for this client
  :param auth_token: An object which sets the Authorization HTTP header in its
  modify_request method.`

get_client_accounts(self, max_results=None, start_index=None, account_id=None, auth_token=None)
  `Get the feed of managed accounts
  :param max_results: The maximum number of results to return (default 25,
  maximum 250).
  :param start_index: The starting index of the feed to return (default 1,
  maximum 10000)
  :param account_id: The Merchant Center Account ID. If ommitted the default
  Account ID will be used for this client
  :param auth_token: An object which sets the Authorization HTTP header in its
  modify_request method.`

get_data_quality_entry(self, secondary_account_id=None, account_id=None, auth_token=None)
  `Get the data quality feed entry for an account.
  :param secondary_account_id: The Account ID of the secondary account. If
  ommitted the value of account_id is used.
  :param account_id: The Merchant Center Account ID. If ommitted the default
  Account ID will be used for this client
  :param auth_token: An object which sets the Authorization HTTP header in its
  modify_request method.`

get_data_quality_feed(self, account_id=None, auth_token=None, max_results=None, start_index=None)
  `Get the data quality feed for an account.
  :param max_results: The maximum number of results to return (default 25,
  max 100).
  :param start_index: The starting index of the feed to return.
  :param account_id: The Merchant Center Account ID. If ommitted the default
  Account ID will be used for this client
  :param auth_token: An object which sets the Authorization HTTP header in its
  modify_request method.`

get_datafeed(self, feed_id, account_id=None, auth_token=None)
  `Get the feed of a single datafeed.
  :param feed_id: The ID of the desired datafeed.
  :param account_id: The Sub-Account ID. If ommitted the default
  Account ID will be used for this client.
  :param auth_token: An object which sets the Authorization HTTP header in its
  modify_request method.`

get_datafeeds(self, account_id=None)
  `Get the feed of datafeeds.
  :param account_id: The Sub-Account ID. If ommitted the default
  Account ID will be used for this client.`

get_product(self, id, country, language, account_id=None, auth_token=None)
  `Get a product by id, country and language.
  :param id: The product ID
  :param country: The country (target_country)
  :param language: The language (content_language)
  :param account_id: The Merchant Center Account ID. If ommitted the default
  Account ID will be used for this client
  :param auth_token: An object which sets the Authorization HTTP header in its
  modify_request method.`

get_products(self, max_results=None, start_token=None, start_index=None, performance_start=None, performance_end=None, account_id=None, auth_token=None)
  `Get a feed of products for the account.
  :param max_results: The maximum number of results to return (default 25,
  maximum 250).
  :param start_token: The start token of the feed provided by the API.
  :param start_index: The starting index of the feed to return (default 1,
  maximum 10000)
  :param performance_start: The start date (inclusive) of click data returned.
  Should be represented as YYYY-MM-DD; not appended
  if left as None.
  :param performance_end: The end date (inclusive) of click data returned.
  Should be represented as YYYY-MM-DD; not appended
  if left as None.
  :param account_id: The Merchant Center Account ID. If ommitted the default
  Account ID will be used for this client
  :param auth_token: An object which sets the Authorization HTTP header in its
  modify_request method.`

get_users_entry(self, user_email, account_id=None, auth_token=None)
  `Get a users feed entry for an account.
  :param user_email: Email of the user entry to be retrieved.
  :param account_id: The Merchant Center Account ID. If ommitted the default
  Account ID will be used for this client
  :param auth_token: An object which sets the Authorization HTTP header in its
  modify_request method.`

get_users_feed(self, account_id=None, auth_token=None)
  `Get the users feed for an account.
  :param account_id: The Merchant Center Account ID. If ommitted the default
  Account ID will be used for this client
  :param auth_token: An object which sets the Authorization HTTP header in its
  modify_request method.`

insert_client_account(self, entry, account_id=None, auth_token=None, dry_run=False, warnings=False)
  `Insert a client account entry
  :param entry: An entry of type ClientAccount
  :param account_id: The Merchant Center Account ID. If ommitted the default
  Account ID will be used for this client
  :param auth_token: An object which sets the Authorization HTTP header in its
  modify_request method.
  :param dry_run: Flag to run all requests that modify persistent data in
  dry-run mode. False by default.
  :param warnings: Flag to include warnings in response. False by default.`

insert_datafeed(self, entry, account_id=None, auth_token=None, dry_run=False, warnings=False)
  `Insert a datafeed.
  :param entry: XML Content of post request required for registering a
  datafeed.
  :param account_id: The Sub-Account ID. If ommitted the default
  Account ID will be used for this client.
  :param auth_token: An object which sets the Authorization HTTP header in its
  modify_request method.
  :param dry_run: Flag to run all requests that modify persistent data in
  dry-run mode. False by default.
  :param warnings: Flag to include warnings in response. False by default.`

insert_product(self, product, account_id=None, auth_token=None, dry_run=False, warnings=False)
  `Create a new product, by posting the product entry feed.
  :param product: A :class:`gdata.contentforshopping.data.ProductEntry` with
  the required product data.
  :param account_id: The Merchant Center Account ID. If ommitted the default
  Account ID will be used for this client
  :param auth_token: An object which sets the Authorization HTTP header in its
  modify_request method.
  :param dry_run: Flag to run all requests that modify persistent data in
  dry-run mode. False by default.
  :param warnings: Flag to include warnings in response. False by default.`

insert_products(self, products, account_id=None, auth_token=None, dry_run=False, warnings=False)
  `Insert the products using a batch request
  :param products: A list of product entries
  :param account_id: The Merchant Center Account ID. If ommitted the default
  Account ID will be used for this client
  :param auth_token: An object which sets the Authorization HTTP header in its
  modify_request method.
  :param dry_run: Flag to run all requests that modify persistent data in
  dry-run mode. False by default.
  :param warnings: Flag to include warnings in response. False by default.`

insert_users_entry(self, entry, account_id=None, auth_token=None)
  `Insert a users feed entry for an account.
  :param entry: A :class:`gdata.contentforshopping.data.UsersEntry` with
  the required user data.
  :param account_id: The Merchant Center Account ID. If ommitted the default
  Account ID will be used for this client
  :param auth_token: An object which sets the Authorization HTTP header in its
  modify_request method.`

update_client_account(self, entry, client_account_id, account_id=None, auth_token=None, dry_run=False, warnings=False)
  `Update a client account
  :param entry: An entry of type ClientAccount to update to
  :param client_account_id: The client account ID
  :param account_id: The Merchant Center Account ID. If ommitted the default
  Account ID will be used for this client
  :param auth_token: An object which sets the Authorization HTTP header in its
  modify_request method.
  :param dry_run: Flag to run all requests that modify persistent data in
  dry-run mode. False by default.
  :param warnings: Flag to include warnings in response. False by default.`

update_datafeed(self, entry, feed_id, account_id=None, auth_token=None, dry_run=False, warnings=False)
  `Update the feed of a single datafeed.
  :param entry: XML Content of put request required for updating a
  datafeed.
  :param feed_id: The ID of the desired datafeed.
  :param account_id: The Sub-Account ID. If ommitted the default
  Account ID will be used for this client.
  :param auth_token: An object which sets the Authorization HTTP header in its
  modify_request method.
  :param dry_run: Flag to run all requests that modify persistent data in
  dry-run mode. False by default.
  :param warnings: Flag to include warnings in response. False by default.`

update_inventory_entry(self, product, id, country, language, store_code, account_id=None, auth_token=None)
  `Make a local product update, by putting the inventory entry.
  :param product: A :class:`gdata.contentforshopping.data.InventoryEntry`
  with the required product data.
  :param id: The product ID
  :param country: The country (target_country)
  :param language: The language (content_language)
  :param store_code: The code for the store where this local product will
  be updated.
  :param account_id: The Merchant Center Account ID. If ommitted the default
  Account ID will be used for this client
  :param auth_token: An object which sets the Authorization HTTP header in its
  modify_request method.`

update_inventory_feed(self, products, account_id=None, auth_token=None)
  `Update a batch of local products, by putting the product entry feed.
  :param products: A list containing entries of
  :class:`gdata.contentforshopping.data.InventoryEntry`
  with the required product data
  :param account_id: The Merchant Center Account ID. If ommitted the default
  Account ID will be used for this client
  :param auth_token: An object which sets the Authorization HTTP header in its
  modify_request method.
  .. note:: Entries must have the atom:id element set. You can use
  add_local_id to set this attribute using the store_code, product
  id, country and language.`

update_product(self, product, account_id=None, auth_token=None, dry_run=False, warnings=False)
  `Update a product, by putting the product entry feed.
  :param product: A :class:`gdata.contentforshopping.data.ProductEntry` with
  the required product data.
  :param account_id: The Merchant Center Account ID. If ommitted the default
  Account ID will be used for this client
  :param auth_token: An object which sets the Authorization HTTP header in its
  modify_request method.
  :param dry_run: Flag to run all requests that modify persistent data in
  dry-run mode. False by default.
  :param warnings: Flag to include warnings in response. False
  by default.`

update_products(self, products, account_id=None, auth_token=None, dry_run=False, warnings=False)
  `Update the products using a batch request
  :param products: A list of product entries
  :param account_id: The Merchant Center Account ID. If ommitted the default
  Account ID will be used for this client
  :param auth_token: An object which sets the Authorization HTTP header in its
  modify_request method.
  :param dry_run: Flag to run all requests that modify persistent data in
  dry-run mode. False by default.
  :param warnings: Flag to include warnings in response. False by default.
  .. note:: Entries must have the atom:id element set.`

update_users_entry(self, entry, account_id=None, auth_token=None)
  `Update a users feed entry for an account.
  :param entry: A :class:`gdata.contentforshopping.data.UsersEntry` with
  the required user data.
  :param account_id: The Merchant Center Account ID. If ommitted the default
  Account ID will be used for this client
  :param auth_token: An object which sets the Authorization HTTP header in its
  modify_request method.`

Data and other attributes defined here:

api_version = '1.0'

Methods inherited from gdata.client.GDClient:

ClientLogin = client_login(self, email, password, source, service=None, account_type='HOSTED_OR_GOOGLE', auth_url=<atom.http_core.Uri object>, captcha_token=None, captcha_response=None)
  `Performs an auth request using the user's email address and password.
  In order to modify user specific data and read user private data, your
  application must be authorized by the user. One way to demonstrage
  authorization is by including a Client Login token in the Authorization
  HTTP header of all requests. This method requests the Client Login token
  by sending the user's email address, password, the name of the
  application, and the service code for the service which will be accessed
  by the application. If the username and password are correct, the server
  will respond with the client login code and a new ClientLoginToken
  object will be set in the client's auth_token member. With the auth_token
  set, future requests from this client will include the Client Login
  token.
  For a list of service names, see
  http://code.google.com/apis/gdata/faq.html#clientlogin
  For more information on Client Login, see:
  http://code.google.com/apis/accounts/docs/AuthForInstalledApps.html
  Args:
  email: str The user's email address or username.
  password: str The password for the user's account.
  source: str The name of your application. This can be anything you
  like but should should give some indication of which app is
  making the request.
  service: str The service code for the service you would like to access.
  For example, 'cp' for contacts, 'cl' for calendar. For a full
  list see
  http://code.google.com/apis/gdata/faq.html#clientlogin
  If you are using a subclass of the gdata.client.GDClient, the
  service will usually be filled in for you so you do not need
  to specify it. For example see BloggerClient,
  SpreadsheetsClient, etc.
  account_type: str (optional) The type of account which is being
  authenticated. This can be either 'GOOGLE' for a Google
  Account, 'HOSTED' for a Google Apps Account, or the
  default 'HOSTED_OR_GOOGLE' which will select the Google
  Apps Account if the same email address is used for both
  a Google Account and a Google Apps Account.
  auth_url: str (optional) The URL to which the login request should be
  sent.
  captcha_token: str (optional) If a previous login attempt was reponded
  to with a CAPTCHA challenge, this is the token which
  identifies the challenge (from the CAPTCHA's URL).
  captcha_response: str (optional) If a previous login attempt was
  reponded to with a CAPTCHA challenge, this is the
  response text which was contained in the challenge.
  Returns:
  Generated token, which is also stored in this object.
  Raises:
  A RequestError or one of its suclasses: BadAuthentication,
  BadAuthenticationServiceURL, ClientLoginFailed,
  ClientLoginTokenMissing, or CaptchaChallenge`

Delete = delete(self, entry_or_uri, auth_token=None, force=False, **kwargs)

GetAccessToken = get_access_token(self, request_token, url='https://www.google.com/accounts/OAuthGetAccessToken')
  `Exchanges an authorized OAuth request token for an access token.
  Contacts the Google OAuth server to upgrade a previously authorized
  request token. Once the request token is upgraded to an access token,
  the access token may be used to access the user's data.
  For more details, see the Google Accounts OAuth documentation:
  http://code.google.com/apis/accounts/docs/OAuth.html#AccessToken
  Args:
  request_token: An OAuth token which has been authorized by the user.
  url: (optional) The URL to which the upgrade request should be sent.
  Defaults to: https://www.google.com/accounts/OAuthAuthorizeToken`

GetEntry = get_entry(self, uri, auth_token=None, converter=None, desired_class=<class 'gdata.data.GDEntry'>, etag=None, **kwargs)

GetFeed = get_feed(self, uri, auth_token=None, converter=None, desired_class=<class 'gdata.data.GDFeed'>, **kwargs)

GetNext = get_next(self, feed, auth_token=None, converter=None, desired_class=None, **kwargs)
  `Fetches the next set of results from the feed.
  When requesting a feed, the number of entries returned is capped at a
  service specific default limit (often 25 entries). You can specify your
  own entry-count cap using the max-results URL query parameter. If there
  are more results than could fit under max-results, the feed will contain
  a next link. This method performs a GET against this next results URL.
  Returns:
  A new feed object containing the next set of entries in this feed.`

GetOAuthToken = get_oauth_token(self, scopes, next, consumer_key, consumer_secret=None, rsa_private_key=None, url='https://www.google.com/accounts/OAuthGetRequestToken')
  `Obtains an OAuth request token to allow the user to authorize this app.
  Once this client has a request token, the user can authorize the request
  token by visiting the authorization URL in their browser. After being
  redirected back to this app at the 'next' URL, this app can then exchange
  the authorized request token for an access token.
  For more information see the documentation on Google Accounts with OAuth:
  http://code.google.com/apis/accounts/docs/OAuth.html#AuthProcess
  Args:
  scopes: list of strings or atom.http_core.Uri objects which specify the
  URL prefixes which this app will be accessing. For example, to access
  the Google Calendar API, you would want to use scopes:
  ['https://www.google.com/calendar/feeds/',
  'http://www.google.com/calendar/feeds/']
  next: str or atom.http_core.Uri object, The URL which the user's browser
  should be sent to after they authorize access to their data. This
  should be a URL in your application which will read the token
  information from the URL and upgrade the request token to an access
  token.
  consumer_key: str This is the identifier for this application which you
  should have received when you registered your application with Google
  to use OAuth.
  consumer_secret: str (optional) The shared secret between your app and
  Google which provides evidence that this request is coming from you
  application and not another app. If present, this libraries assumes
  you want to use an HMAC signature to verify requests. Keep this data
  a secret.
  rsa_private_key: str (optional) The RSA private key which is used to
  generate a digital signature which is checked by Google's server. If
  present, this library assumes that you want to use an RSA signature
  to verify requests. Keep this data a secret.
  url: The URL to which a request for a token should be made. The default
  is Google's OAuth request token provider.`

ModifyRequest = modify_request(self, http_request)
  `Adds or changes request before making the HTTP request.
  This client will add the API version if it is specified.
  Subclasses may override this method to add their own request
  modifications before the request is made.`

Post = post(self, entry, uri, auth_token=None, converter=None, desired_class=None, **kwargs)

Request = request(self, method=None, uri=None, auth_token=None, http_request=None, converter=None, desired_class=None, redirects_remaining=4, **kwargs)
  `Make an HTTP request to the server.
  See also documentation for atom.client.AtomPubClient.request.
  If a 302 redirect is sent from the server to the client, this client
  assumes that the redirect is in the form used by the Google Calendar API.
  The same request URI and method will be used as in the original request,
  but a gsessionid URL parameter will be added to the request URI with
  the value provided in the server's 302 redirect response. If the 302
  redirect is not in the format specified by the Google Calendar API, a
  RedirectError will be raised containing the body of the server's
  response.
  The method calls the client's modify_request method to make any changes
  required by the client before the request is made. For example, a
  version 2 client could add a GData-Version: 2 header to the request in
  its modify_request method.
  Args:
  method: str The HTTP verb for this request, usually 'GET', 'POST',
  'PUT', or 'DELETE'
  uri: atom.http_core.Uri, str, or unicode The URL being requested.
  auth_token: An object which sets the Authorization HTTP header in its
  modify_request method. Recommended classes include
  gdata.gauth.ClientLoginToken and gdata.gauth.AuthSubToken
  among others.
  http_request: (optional) atom.http_core.HttpRequest
  converter: function which takes the body of the response as its only
  argument and returns the desired object.
  desired_class: class descended from atom.core.XmlElement to which a
  successful response should be converted. If there is no
  converter function specified (converter=None) then the
  desired_class will be used in calling the
  atom.core.parse function. If neither
  the desired_class nor the converter is specified, an
  HTTP reponse object will be returned.
  redirects_remaining: (optional) int, if this number is 0 and the
  server sends a 302 redirect, the request method
  will raise an exception. This parameter is used in
  recursive request calls to avoid an infinite loop.
  Any additional arguments are passed through to
  atom.client.AtomPubClient.request.
  Returns:
  An HTTP response object (see atom.http_core.HttpResponse for a
  description of the object's interface) if no converter was
  specified and no desired_class was specified. If a converter function
  was provided, the results of calling the converter are returned. If no
  converter was specified but a desired_class was provided, the response
  body will be converted to the class using
  atom.core.parse.`

RequestClientLoginToken = request_client_login_token(self, email, password, source, service=None, account_type='HOSTED_OR_GOOGLE', auth_url=<atom.http_core.Uri object>, captcha_token=None, captcha_response=None)

RevokeToken = revoke_token(self, token=None, url=<atom.http_core.Uri object>)
  `Requests that the token be invalidated.
  This method can be used for both AuthSub and OAuth tokens (to invalidate
  a ClientLogin token, the user must change their password).
  Returns:
  True if the server responded with a 200.
  Raises:
  A RequestError if the server responds with a non-200 status.`

Update = update(self, entry, auth_token=None, force=False, uri=None, **kwargs)
  `Edits the entry on the server by sending the XML for this entry.
  Performs a PUT and converts the response to a new entry object with a
  matching class to the entry passed in.
  Args:
  entry:
  auth_token:
  force: boolean stating whether an update should be forced. Defaults to
  False. Normally, if a change has been made since the passed in
  entry was obtained, the server will not overwrite the entry since
  the changes were based on an obsolete version of the entry.
  Setting force to True will cause the update to silently
  overwrite whatever version is present.
  uri: The uri to put to. If provided, this uri is PUT to rather than the
  inferred uri from the entry's edit link.
  Returns:
  A new Entry object of a matching type to the entry which was passed in.`

UpgradeToken = upgrade_token(self, token=None, url=<atom.http_core.Uri object>)
  `Asks the Google auth server for a multi-use AuthSub token.
  For details on AuthSub, see:
  http://code.google.com/apis/accounts/docs/AuthSub.html
  Args:
  token: gdata.gauth.AuthSubToken or gdata.gauth.SecureAuthSubToken
  (optional) If no token is passed in, the client's auth_token member
  is used to request the new token. The token object will be modified
  to contain the new session token string.
  url: str or atom.http_core.Uri (optional) The URL to which the token
  upgrade request should be sent. Defaults to:
  https://www.google.com/accounts/AuthSubSessionToken
  Returns:
  The upgraded gdata.gauth.AuthSubToken object.`

client_login(self, email, password, source, service=None, account_type='HOSTED_OR_GOOGLE', auth_url=<atom.http_core.Uri object>, captcha_token=None, captcha_response=None)
  `Performs an auth request using the user's email address and password.
  In order to modify user specific data and read user private data, your
  application must be authorized by the user. One way to demonstrage
  authorization is by including a Client Login token in the Authorization
  HTTP header of all requests. This method requests the Client Login token
  by sending the user's email address, password, the name of the
  application, and the service code for the service which will be accessed
  by the application. If the username and password are correct, the server
  will respond with the client login code and a new ClientLoginToken
  object will be set in the client's auth_token member. With the auth_token
  set, future requests from this client will include the Client Login
  token.
  For a list of service names, see
  http://code.google.com/apis/gdata/faq.html#clientlogin
  For more information on Client Login, see:
  http://code.google.com/apis/accounts/docs/AuthForInstalledApps.html
  Args:
  email: str The user's email address or username.
  password: str The password for the user's account.
  source: str The name of your application. This can be anything you
  like but should should give some indication of which app is
  making the request.
  service: str The service code for the service you would like to access.
  For example, 'cp' for contacts, 'cl' for calendar. For a full
  list see
  http://code.google.com/apis/gdata/faq.html#clientlogin
  If you are using a subclass of the gdata.client.GDClient, the
  service will usually be filled in for you so you do not need
  to specify it. For example see BloggerClient,
  SpreadsheetsClient, etc.
  account_type: str (optional) The type of account which is being
  authenticated. This can be either 'GOOGLE' for a Google
  Account, 'HOSTED' for a Google Apps Account, or the
  default 'HOSTED_OR_GOOGLE' which will select the Google
  Apps Account if the same email address is used for both
  a Google Account and a Google Apps Account.
  auth_url: str (optional) The URL to which the login request should be
  sent.
  captcha_token: str (optional) If a previous login attempt was reponded
  to with a CAPTCHA challenge, this is the token which
  identifies the challenge (from the CAPTCHA's URL).
  captcha_response: str (optional) If a previous login attempt was
  reponded to with a CAPTCHA challenge, this is the
  response text which was contained in the challenge.
  Returns:
  Generated token, which is also stored in this object.
  Raises:
  A RequestError or one of its suclasses: BadAuthentication,
  BadAuthenticationServiceURL, ClientLoginFailed,
  ClientLoginTokenMissing, or CaptchaChallenge`

delete(self, entry_or_uri, auth_token=None, force=False, **kwargs)

get_access_token(self, request_token, url='https://www.google.com/accounts/OAuthGetAccessToken')
  `Exchanges an authorized OAuth request token for an access token.
  Contacts the Google OAuth server to upgrade a previously authorized
  request token. Once the request token is upgraded to an access token,
  the access token may be used to access the user's data.
  For more details, see the Google Accounts OAuth documentation:
  http://code.google.com/apis/accounts/docs/OAuth.html#AccessToken
  Args:
  request_token: An OAuth token which has been authorized by the user.
  url: (optional) The URL to which the upgrade request should be sent.
  Defaults to: https://www.google.com/accounts/OAuthAuthorizeToken`

get_entry(self, uri, auth_token=None, converter=None, desired_class=<class 'gdata.data.GDEntry'>, etag=None, **kwargs)

get_feed(self, uri, auth_token=None, converter=None, desired_class=<class 'gdata.data.GDFeed'>, **kwargs)

get_next(self, feed, auth_token=None, converter=None, desired_class=None, **kwargs)
  `Fetches the next set of results from the feed.
  When requesting a feed, the number of entries returned is capped at a
  service specific default limit (often 25 entries). You can specify your
  own entry-count cap using the max-results URL query parameter. If there
  are more results than could fit under max-results, the feed will contain
  a next link. This method performs a GET against this next results URL.
  Returns:
  A new feed object containing the next set of entries in this feed.`

get_oauth_token(self, scopes, next, consumer_key, consumer_secret=None, rsa_private_key=None, url='https://www.google.com/accounts/OAuthGetRequestToken')
  `Obtains an OAuth request token to allow the user to authorize this app.
  Once this client has a request token, the user can authorize the request
  token by visiting the authorization URL in their browser. After being
  redirected back to this app at the 'next' URL, this app can then exchange
  the authorized request token for an access token.
  For more information see the documentation on Google Accounts with OAuth:
  http://code.google.com/apis/accounts/docs/OAuth.html#AuthProcess
  Args:
  scopes: list of strings or atom.http_core.Uri objects which specify the
  URL prefixes which this app will be accessing. For example, to access
  the Google Calendar API, you would want to use scopes:
  ['https://www.google.com/calendar/feeds/',
  'http://www.google.com/calendar/feeds/']
  next: str or atom.http_core.Uri object, The URL which the user's browser
  should be sent to after they authorize access to their data. This
  should be a URL in your application which will read the token
  information from the URL and upgrade the request token to an access
  token.
  consumer_key: str This is the identifier for this application which you
  should have received when you registered your application with Google
  to use OAuth.
  consumer_secret: str (optional) The shared secret between your app and
  Google which provides evidence that this request is coming from you
  application and not another app. If present, this libraries assumes
  you want to use an HMAC signature to verify requests. Keep this data
  a secret.
  rsa_private_key: str (optional) The RSA private key which is used to
  generate a digital signature which is checked by Google's server. If
  present, this library assumes that you want to use an RSA signature
  to verify requests. Keep this data a secret.
  url: The URL to which a request for a token should be made. The default
  is Google's OAuth request token provider.`

modify_request(self, http_request)
  `Adds or changes request before making the HTTP request.
  This client will add the API version if it is specified.
  Subclasses may override this method to add their own request
  modifications before the request is made.`

post(self, entry, uri, auth_token=None, converter=None, desired_class=None, **kwargs)

request(self, method=None, uri=None, auth_token=None, http_request=None, converter=None, desired_class=None, redirects_remaining=4, **kwargs)
  `Make an HTTP request to the server.
  See also documentation for atom.client.AtomPubClient.request.
  If a 302 redirect is sent from the server to the client, this client
  assumes that the redirect is in the form used by the Google Calendar API.
  The same request URI and method will be used as in the original request,
  but a gsessionid URL parameter will be added to the request URI with
  the value provided in the server's 302 redirect response. If the 302
  redirect is not in the format specified by the Google Calendar API, a
  RedirectError will be raised containing the body of the server's
  response.
  The method calls the client's modify_request method to make any changes
  required by the client before the request is made. For example, a
  version 2 client could add a GData-Version: 2 header to the request in
  its modify_request method.
  Args:
  method: str The HTTP verb for this request, usually 'GET', 'POST',
  'PUT', or 'DELETE'
  uri: atom.http_core.Uri, str, or unicode The URL being requested.
  auth_token: An object which sets the Authorization HTTP header in its
  modify_request method. Recommended classes include
  gdata.gauth.ClientLoginToken and gdata.gauth.AuthSubToken
  among others.
  http_request: (optional) atom.http_core.HttpRequest
  converter: function which takes the body of the response as its only
  argument and returns the desired object.
  desired_class: class descended from atom.core.XmlElement to which a
  successful response should be converted. If there is no
  converter function specified (converter=None) then the
  desired_class will be used in calling the
  atom.core.parse function. If neither
  the desired_class nor the converter is specified, an
  HTTP reponse object will be returned.
  redirects_remaining: (optional) int, if this number is 0 and the
  server sends a 302 redirect, the request method
  will raise an exception. This parameter is used in
  recursive request calls to avoid an infinite loop.
  Any additional arguments are passed through to
  atom.client.AtomPubClient.request.
  Returns:
  An HTTP response object (see atom.http_core.HttpResponse for a
  description of the object's interface) if no converter was
  specified and no desired_class was specified. If a converter function
  was provided, the results of calling the converter are returned. If no
  converter was specified but a desired_class was provided, the response
  body will be converted to the class using
  atom.core.parse.`

request_client_login_token(self, email, password, source, service=None, account_type='HOSTED_OR_GOOGLE', auth_url=<atom.http_core.Uri object>, captcha_token=None, captcha_response=None)

revoke_token(self, token=None, url=<atom.http_core.Uri object>)
  `Requests that the token be invalidated.
  This method can be used for both AuthSub and OAuth tokens (to invalidate
  a ClientLogin token, the user must change their password).
  Returns:
  True if the server responded with a 200.
  Raises:
  A RequestError if the server responds with a non-200 status.`

update(self, entry, auth_token=None, force=False, uri=None, **kwargs)
  `Edits the entry on the server by sending the XML for this entry.
  Performs a PUT and converts the response to a new entry object with a
  matching class to the entry passed in.
  Args:
  entry:
  auth_token:
  force: boolean stating whether an update should be forced. Defaults to
  False. Normally, if a change has been made since the passed in
  entry was obtained, the server will not overwrite the entry since
  the changes were based on an obsolete version of the entry.
  Setting force to True will cause the update to silently
  overwrite whatever version is present.
  uri: The uri to put to. If provided, this uri is PUT to rather than the
  inferred uri from the entry's edit link.
  Returns:
  A new Entry object of a matching type to the entry which was passed in.`

upgrade_token(self, token=None, url=<atom.http_core.Uri object>)
  `Asks the Google auth server for a multi-use AuthSub token.
  For details on AuthSub, see:
  http://code.google.com/apis/accounts/docs/AuthSub.html
  Args:
  token: gdata.gauth.AuthSubToken or gdata.gauth.SecureAuthSubToken
  (optional) If no token is passed in, the client's auth_token member
  is used to request the new token. The token object will be modified
  to contain the new session token string.
  url: str or atom.http_core.Uri (optional) The URL to which the token
  upgrade request should be sent. Defaults to:
  https://www.google.com/accounts/AuthSubSessionToken
  Returns:
  The upgraded gdata.gauth.AuthSubToken object.`

Data and other attributes inherited from gdata.client.GDClient:

alt_auth_service = None

auth_scopes = None

auth_service = None

Methods inherited from atom.client.AtomPubClient:

Get = get(self, uri=None, auth_token=None, http_request=None, **kwargs)
  `Performs a request using the GET method, returns an HTTP response.`

Put = put(self, uri=None, data=None, auth_token=None, http_request=None, **kwargs)
  `Sends data using the PUT method, returns an HTTP response.`

get(self, uri=None, auth_token=None, http_request=None, **kwargs)
  `Performs a request using the GET method, returns an HTTP response.`

put(self, uri=None, data=None, auth_token=None, http_request=None, **kwargs)
  `Sends data using the PUT method, returns an HTTP response.`

Data descriptors inherited from atom.client.AtomPubClient:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Data and other attributes inherited from atom.client.AtomPubClient:

auth_token = None

host = None

ssl = False

xoauth_requestor_id = None

Data
`` |  | CFS_HOST = 'content.googleapis.com' CFS_PROJECTION = 'schema' CFS_URI = 'https://content.googleapis.com/content' CFS_VERSION = 'v1' __author__ = 'afshar (Ali Afshar), dhermes (Daniel Hermes)'

Author
`` |  | afshar (Ali Afshar), dhermes (Daniel Hermes)